El certificado del paquete de Mac ha caducado

El certificado utilizado para firmar los paquetes de actualización y de instalación de Adobe Acrobat o Reader para Mac caducó el 21 de febrero de 2017 Como el certificado ha caducado, macOS ha comenzado a aplicar las marcas sin firmar o caducado a los instaladores y a las versiones de Acrobat o Reader.

Esto afecta a las siguientes revisiones e instaladores completos:

  • Paquetes de Acrobat DC Continuous anteriores a 15.016.20041
  • Paquetes de Acrobat Reader DC Continuous anteriores a 15.016.20039
  • Paquetes de Acrobat DC 2015 anteriores a 15.006.30173
  • Paquetes de Acrobat Reader DC 2015 anteriores a 15.006.30172
  • Paquetes de Acrobat y Reader XI anteriores a 11.0.17

Si intenta instalar uno de los paquetes que se ven afectados, aparecerá la siguiente advertencia:

El certificado del paquete del instalador ha caducado

Si intenta instalar estos paquetes con la línea de comandos, Mac OS bloquea la instalación y no se completa.

Solución: descargue la versión o la revisión más recientes

Instaladores completos

Este problema no afecta a los instaladores completos más recientes. Si tiene un paquete con el instalador completo de Acrobat o de Reader que muestra una advertencia, descargue la versión más reciente.

Los paquetes del instalador de esta ubicación se han actualizado, por lo que no debería tener ningún problema al instalar los paquetes más recientes. 

Revisiones

Las revisiones más recientes de todas las pistas no tienen este problema. Adobe recomienda instalar las actualizaciones más recientes:

Tenga en cuenta que, en estos paquetes, no verá ninguna advertencia y se pueden instalar sin que aparezca ningún problema. Sin embargo, si accede directamente a la cadena de certificados que usó para firmar el paquete haciendo clic en el icono del candado, verá que el certificado ha caducado, como se muestra a continuación:

Mensaje de error de certificado caducado

Sin embargo, la firma del paquete es válida y el sistema operativo no bloquea la instalación de ningún modo, factor que puede verificar con el comando pkgutil: 

pkgutil --check-signature <ruta al archivo pkg>

A continuación aparece la salida del terminal de muestra para el paquete 11.0.19 de Acrobat, que afirma que el paquete está firmado por un certificado en el que el sistema operativo confía: 

El comando pkgutil

Esta obra está autorizada con arreglo a la licencia de Reconocimiento-NoComercial-CompartirIgual 3.0 Unported de Creative Commons.  Los términos de Creative Commons no cubren las publicaciones en Twitter™ y Facebook.

Avisos legales   |   Política de privacidad en línea